import { editor as MonacoEditor, Position, Range } from 'monaco-editor';
import { SemanticTokens, SemanticTokensLegend } from 'vscode/vscode/vs/editor/common/languages';
import { IDecodedMetadata } from './encodedTokenAttributes';

type SemanticTokensResult = {
    tokens: SemanticTokens;
    legend: SemanticTokensLegend;
};
export interface ISemanticTokenInfo {
    type: string;
    modifiers: string[];
    range: Range;
    metadata?: IDecodedMetadata;
    definitions: any;
}
export declare function getSemanticTokenAtPosition(model: MonacoEditor.ITextModel, themeService: any, semanticTokens: SemanticTokensResult, pos: Position): ISemanticTokenInfo | null;
export {};
